
/*!
 * @description GRUNT! (.js)
 */

module.exports = function(grunt) {

  var fs = require('fs');

  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    uglify: {
      build: {
        src: 'public/js/app.js',
        dest: 'public/js/app.min.js'
      }
    },
    jshint: {
      options: {
        browser: true,
        globals: {
          jQuery: true
        }
      },
      all: {
        files: {
          src: ['public/js/src/**/*.js']
        }
      }
    },
    concat: {
      options: {
      },
      dist: {
        src: [
          'public/js/vendor/jquery-2.0.3.min.js',
          'public/js/src/app.js'
        ],
        dest: 'public/js/app.js'
      }
    },
    less: {
      development: {
        options: {
          paths: ['public/less'],
          yuicompress: false
        },
        files: {
          'public/css/app.css':'public/less/index.less'
        }
      }
    },
    cssmin: {
      compress: {
        files: {
          'public/css/app.min.css': ['public/css/app.css']
        }
      }
    },
    watch: {
      scripts: {
        files: ['Gruntfile.js','public/js/src/**/*.js','public/js/vendor/**/*.js'],
        tasks: ['jshint','concat','less'],
      },
      less: {
        files: 'public/less/**/*.less',
        tasks: ['less'],
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-concat');
  grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-less');
  grunt.loadNpmTasks('grunt-contrib-cssmin');

  grunt.registerTask('deploy', ['jshint','concat','uglify','less','cssmin']);
  grunt.registerTask('default', ['jshint','concat','less','watch']);

};

/* EOF */