
/**
 * @description app config main used for dev vs. production
 */

module.exports = function(options) {

  // delegate config
  if (process.env.NODE_ENV === 'development') {

    console.log('> running in DEVELOPMENT mode');

    return {
      port: process.env.PORT || 5000,
      viewOptions: {
        baseURL: 'http://localhost:8888',
        assetsURL: '',
        CSS_FILE: 'app.css',
        JS_FILE: 'app.js'
      },
      mongodb: 'mongodb://localhost/node-skeleton'
    };

  } else if (process.env.NODE_ENV === 'production') {
    
    console.log('> running in PRODUCTION mode');

    return {
      port: process.env.PORT || 5000,
      viewOptions: {
        baseURL: 'http://localhost:888',
        assetsURL: '',
        CSS_FILE: 'app.min.css',
        JS_FILE: 'app.min.js'
      },
      mongodb: 'mongodb://localhost/node-skeleton'
    };
  
  } else {
    throw new Error('Please set $NODE_ENV!');
  }
  
};
