
/**
 * @route GET /logout/
 * @description logs user out 
 */

var User = app.schemas.user.User;

var checkLogged = app.helpers.general.checkLogged
  , isSuperUser = app.helpers.general.isSuperUser; 

/* ----------- GET ----------- */

/**
 * @route GET /users/
 * @description find all blog posts retrieving just slugs and titles
 */

app.get('/users/', function(request, response, next) {
  var findAllUsersPromise = User.find({});
  findAllUsersPromise.then(function(list) {
    response.json(list);
  }, function(error) {
    console.error(errror);
    response.json(error);
  });
});

/**
 * @route /user/logout/
 * @description destroy a users session & redirect
 */

app.get('/user/logout/', function(request, response, next) {
  request.session.destroy(function() {
    response.redirect('/admin/login/');
  });
});

/**
 * @route /user/current/
 * @description env variables
 */

app.get('/user/current/', checkLogged, function(request, response, next) {
  response.json({ user : request.session.auth.user });
});

/* ----------- POST ----------- */

/**
 * @route GET /user/login/
 * @description lets user login with email, password
 */

app.post('/user/login/', function(request, response, next) {
  var loginPromise = app.services.user.login(request, request.body);
  loginPromise.then(function(user) {
    response.json({ authenticated : true });
  }, function(error) {
    console.error(error);
    response.json(error);
  });
});

/**
 * @route GET /admin/register/
 * @description lets user create a new account with email, password
 */

app.post('/user/register/', checkLogged, isSuperUser, function(request, response, next) {
  var registerPromise = app.services.user.register(request, request.body);
  registerPromise.then(function(user) {
    response.json(user);
  }, function(error) {
    console.error(error);
    response.json(error);
  })
});
