
/**
 * @schema User
 */

var Schema = app.mongo.Schema
  , ObjectId = Schema.ObjectId
  , ModelPrototype = require('./prototype.js');

var UserSchema = exports.UserSchema = new Schema({
  id           : { type: ObjectId },
  email        : { type: String, trim: true, unique: true, sparse: true, lowercase: true },
  password     : { type: String, trim: true, set: app.helpers.general.encryptPass },
  is_admin     : { type: Boolean, required: false, default: true },
  is_superuser : { type: Boolean, required: false, default: true },
  firstname    : { type: String, trim: true },
  lastname     : { type: String, trim: true },
  last_login   : { type: Date },
  updated_at   : { type: Date, required: true, default: Date.now },
  created_at   : { type: Date, required: true, default: Date.now }
});

UserSchema.pre('save',function(next) { 
  this.updated_at = new Date();
  next(); 
}); 

var MongooseModel = app.mongo.model('users', UserSchema);
exports.User = new ModelPrototype.Model(MongooseModel);
